FF5 works Rated 5 out of 5 stars

Not sure why it was just now bumped to FF4, it works fine in FF5 if you bump max version.

This review is for a previous version of the add-on (1.3.20110611).